FAQ
Edit report at http://pear.php.net/bugs/bug.php?id=17904&edit=1

ID: 17904
Updated by: gsherwood@squiz.net
Reported By: mtaczak at mailtrust dot com
Summary: External standards do not work in 1.3
-Status: Open
+Status: Feedback
Type: Bug
Package: PHP_CodeSniffer
Operating System: RHEL5
Package Version: 1.3.0RC1
PHP Version: 5.2.12
-Assigned To:
+Assigned To: squiz
Roadmap Versions:
New Comment:

-Status: Open
+Status: Feedback
-Assigned To:
+Assigned To: squiz
Your external standard needs to be updated and include a ruleset.xml
file. Has it been upgrade? Guide is here:
http://www.squizlabs.com/php-codesniffer/upgrading-for-1.3.0


Previous Comments:
------------------------------------------------------------------------

[2010-09-29 00:00:38] mtaczak

Description:
------------
Using an external standard ("--standard=/path/to/standard") does not
properly resolve the standard in 1.3, as it did in 1.2

------------------------------------------------------------------------

Search Discussions

  • Mtaczak at Sep 29, 2010 at 12:28 am
    Edit report at http://pear.php.net/bugs/bug.php?id=17904&edit=1

    ID: 17904
    Updated by: mtaczak@mailtrust.com
    Reported By: mtaczak at mailtrust dot com
    Summary: External standards do not work in 1.3
    Status: Feedback
    Type: Bug
    Package: PHP_CodeSniffer
    Operating System: RHEL5
    Package Version: 1.3.0RC1
    PHP Version: 5.2.12
    Assigned To: squiz
    Roadmap Versions:
    New Comment:

    Ah well done. I like the change.

    However, the error message could be easily improved to indicate what
    needs to be done to address it. I dont have the error in front of me at
    the moment, but it was something along the lines of 'Standard not found'
    or 'Standard not installed'. Do you think we could change it to say
    something along the lines of 'Standard not installed or "ruleset.xml"
    missing. Please install the standard, or include a "ruleset.xml" file
    if you are using an external standard'?


    Previous Comments:
    ------------------------------------------------------------------------

    [2010-09-29 00:03:23] squiz

    -Status: Open
    +Status: Feedback
    -Assigned To:
    +Assigned To: squiz
    Your external standard needs to be updated and include a ruleset.xml
    file. Has it been upgrade? Guide is here:
    http://www.squizlabs.com/php-codesniffer/upgrading-for-1.3.0

    ------------------------------------------------------------------------

    [2010-09-29 00:00:38] mtaczak

    Description:
    ------------
    Using an external standard ("--standard=/path/to/standard") does not
    properly resolve the standard in 1.3, as it did in 1.2

    ------------------------------------------------------------------------

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppear-bugs @
categoriesphp
postedSep 29, '10 at 12:03a
activeSep 29, '10 at 12:28a
posts2
users2
websitepear.php.net

2 users in discussion

Mtaczak: 1 post Gsherwood: 1 post

People

Translate

site design / logo © 2022 Grokbase